{ config, lib, pkgs, modulesPath, ... }:
{
  boot.loader.grub.useOSProber = true;
  hardware.enableRedistributableFirmware = true;
  hardware.enableAllFirmware = true;

  hardware.microsoft-surface.kernelVersion = "stable";

  boot.initrd.availableKernelModules = [ "xhci_pci" "thunderbolt" "nvme" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/DA81-CC53";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/c926bae1-6832-4ba9-a3d7-f5da11bfc846";
      fsType = "ext4";
    };

  swapDevices =
    [ { device = "/dev/disk/by-uuid/3a81bb60-49e4-41fc-8716-8db7dd5f698f"; }
    ];

  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
  virtualisation.hypervGuest.enable = true;
}
